## node-modern-syslog 1.2.0

=== Makefile ===
rebuild:
	node-gyp rebuild

## node-modern-syslog 1.1.4

=== debian/changelog ===
node-modern-syslog (1.1.4-1) unstable; urgency=low

  * Initial release (Closes: #898244)

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Aug 2018 07:27:52 +0200

=== debian/control ===
Source: node-modern-syslog
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11),
               node-debug,
               node-gyp,
               node-nan (>= 2.0.5),
               node-tap,
               nodejs
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/js-team/node-modern-syslog
Vcs-Git: https://salsa.debian.org/js-team/node-modern-syslog.git
Homepage: https://github.com/strongloop/modern-syslog

Package: node-modern-syslog
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         nodejs,
         node-nan (>= 2.0.5)
Description: native syslog client library for Node.js
 modern-syslog is the only Node.js library that uses native bindings to the
 libc syslog API, is async, can be used as a stream, and is API compatible
 with the (deprecated) node-syslog.
 It uses Nan, so supports node and io.js

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(TMP)/usr/lib/nodejs/modern-syslog/build/Release/core.node

#override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	tap test/test-*.js
endif

=== debian/tests/control ===
Tests: require, test
Depends: node-modern-syslog, node-tap, node-debug, node-nan, node-gyp, nodejs

## node-modern-syslog 1.2.0

=== debian/changelog ===
node-modern-syslog (1.2.0-4) unstable; urgency=medium

  * Drop build-dependency to nodejs
  * Declare compliance with policy 4.6.1

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 10:50:06 +0200

node-modern-syslog (1.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Jérémy Lal ]
  * Disable test coverage, fix FTBFS (Closes: #1008100)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 22 Mar 2022 15:08:23 +0100

node-modern-syslog (1.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on node-gyp and node-nan.

  [ Bastien Roucariès ]
  * MA: same
  * Improve uscan

 -- Bastien Roucariès <rouca@debian.org>  Fri, 17 Sep 2021 20:45:50 +0000

node-modern-syslog (1.2.0-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * Switch test and install to pkg-js-tools
  * New upstream version 1.2.0
  * Add "Rules-Requires-Root: no"
  * Override "files" field using debian/nodejs/files
  * Remove useless link

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Oct 2019 21:32:47 +0100

node-modern-syslog (1.1.4-2) unstable; urgency=medium

  * Team upload

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org
  * Declare compliance with policy 4.2.1

  [ Jérémy Lal ]
  * Build-Depends libnode-dev, node-gyp >= 3.8.0-2
  * Remove dependency on nodejs
  * Install only built shared lib, not the whole dir
  * Standards-Version 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Jan 2019 21:39:24 +0100

=== debian/control ===
Source: node-modern-syslog
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , libnode-dev
 , node-debug
 , node-gyp
 , node-nan
 , node-tap <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-modern-syslog
Vcs-Git: https://salsa.debian.org/js-team/node-modern-syslog.git
Homepage: https://github.com/strongloop/modern-syslog
Rules-Requires-Root: no

Package: node-modern-syslog
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
 , ${shlibs:Depends}
Description: native syslog client library for Node.js
 modern-syslog is the only Node.js library that uses native bindings to the
 libc syslog API, is async, can be used as a stream, and is API compatible
 with the (deprecated) node-syslog.
 It uses Nan, so supports node and io.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@(@ARCHIVE_EXT)%node-modern-syslog-$1$2% \
 https://github.com/strongloop/modern-syslog/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
